{
	"info": {
		"_postman_id": "1e21c995-b5a4-47f1-b03d-4e9a15945c96",
		"name": "2)Методы работы с КМ",
		"schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json",
		"_exporter_id": "14639476"
	},
	"item": [
		{
			"name": "POST /cises/my",
			"request": {
				"auth": {
					"type": "bearer",
					"bearer": [
						{
							"key": "token",
							"value": "{{token}}",
							"type": "string"
						}
					]
				},
				"method": "POST",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "{\r\n \"gtin\": \"00191028060272\"\r\n}"
				},
				"url": {
					"raw": "{{host}}cises/my",
					"host": [
						"{{host}}cises"
					],
					"path": [
						"my"
					],
					"query": [
						{
							"key": "ff",
							"value": "ff",
							"disabled": true
						}
					]
				}
			},
			"response": []
		},
		{
			"name": "/cises/orders/{uuid}/status",
			"protocolProfileBehavior": {
				"disableBodyPruning": true
			},
			"request": {
				"auth": {
					"type": "bearer",
					"bearer": [
						{
							"key": "token",
							"value": "{{token}}",
							"type": "string"
						}
					]
				},
				"method": "GET",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": ""
				},
				"url": {
					"raw": "{{host}}cises/orders/2166a141-af37-4234-9bf2-9458abd260d1/status",
					"host": [
						"{{host}}cises"
					],
					"path": [
						"orders",
						"2166a141-af37-4234-9bf2-9458abd260d1",
						"status"
					]
				}
			},
			"response": []
		},
		{
			"name": "/cises/orders/{uuid}/result",
			"request": {
				"auth": {
					"type": "bearer",
					"bearer": [
						{
							"key": "token",
							"value": "{{token}}",
							"type": "string"
						}
					]
				},
				"method": "GET",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/zip",
						"type": "text",
						"disabled": true
					}
				],
				"url": {
					"raw": "{{host}}cises/orders/2166a141-af37-4234-9bf2-9458abd260d1/result",
					"host": [
						"{{host}}cises"
					],
					"path": [
						"orders",
						"2166a141-af37-4234-9bf2-9458abd260d1",
						"result"
					]
				}
			},
			"response": []
		},
		{
			"name": "/cis/cises-units-count",
			"protocolProfileBehavior": {
				"disabledSystemHeaders": {
					"content-type": true
				}
			},
			"request": {
				"auth": {
					"type": "bearer",
					"bearer": [
						{
							"key": "token",
							"value": "{{token}}",
							"type": "string"
						}
					]
				},
				"method": "POST",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "[\"0100191028060272213V-gKlNIV+EAZ\",\r\n\"0100191028060272213Tis*(nO,S1pE\",\r\n\"0108445456274506213eOS8?RFQpvWM\"]"
				},
				"url": {
					"raw": "{{host}}cis/cises-units-count",
					"host": [
						"{{host}}cis"
					],
					"path": [
						"cises-units-count"
					]
				}
			},
			"response": []
		},
		{
			"name": "cises/info",
			"protocolProfileBehavior": {
				"disabledSystemHeaders": {
					"content-type": true
				}
			},
			"request": {
				"auth": {
					"type": "bearer",
					"bearer": [
						{
							"key": "token",
							"value": "{{token}}",
							"type": "string"
						}
					]
				},
				"method": "POST",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "[\"0100191028060272213V-gKlNIV+EAZ\"]"
				},
				"url": {
					"raw": "{{host}}cises/info",
					"host": [
						"{{host}}cises"
					],
					"path": [
						"info"
					],
					"query": [
						{
							"key": "pg",
							"value": "",
							"disabled": true
						}
					]
				}
			},
			"response": []
		},
		{
			"name": "/cises/aggregated/list",
			"request": {
				"auth": {
					"type": "bearer",
					"bearer": [
						{
							"key": "token",
							"value": "{{token}}",
							"type": "string"
						}
					]
				},
				"method": "POST",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"body": {
					"mode": "raw",
					"raw": "[\"005700266000000002\"]"
				},
				"url": {
					"raw": "{{host}}cises/aggregated/list?pg=shoes",
					"host": [
						"{{host}}cises"
					],
					"path": [
						"aggregated",
						"list"
					],
					"query": [
						{
							"key": "pg",
							"value": "shoes"
						}
					]
				}
			},
			"response": []
		},
		{
			"name": "/cises/aggregated/list?codes={codes}",
			"request": {
				"auth": {
					"type": "bearer",
					"bearer": [
						{
							"key": "token",
							"value": "{{token}}",
							"type": "string"
						}
					]
				},
				"method": "GET",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"url": {
					"raw": "{{host}}cises/aggregated/list?pg=shoes&codes=005700266000000002&codes=005700266000000006",
					"host": [
						"{{host}}cises"
					],
					"path": [
						"aggregated",
						"list"
					],
					"query": [
						{
							"key": "pg",
							"value": "shoes"
						},
						{
							"key": "codes",
							"value": "005700266000000002"
						},
						{
							"key": "codes",
							"value": "005700266000000006"
						}
					]
				}
			},
			"response": []
		},
		{
			"name": "/cises/list",
			"request": {
				"auth": {
					"type": "bearer",
					"bearer": [
						{
							"key": "token",
							"value": "{{token}}",
							"type": "string"
						}
					]
				},
				"method": "POST",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"url": {
					"raw": "{{host}}cises/list?values=0100191028060272213PfB_Gr,ArqbT&values=01001910280602722137eVanT)hQLGK",
					"host": [
						"{{host}}cises"
					],
					"path": [
						"list"
					],
					"query": [
						{
							"key": "status",
							"value": "APPLIED",
							"description": "Код статуса КМ. Код статуса КМ.\nТекущий статус КМ:\nEMITTED – Эмитирован\nAPPLIED – Нанесен\nINTRODUCED – Введен в оборот\nWITHDRAWN – Выведен из оборота\nWRITTEN_OFF - Утилизирован\nINTRODUCED_RETURNED -\nВозвращён в оборот\nDISAGGREGATED - Дезагрегирован",
							"disabled": true
						},
						{
							"key": "packageType",
							"value": "LEVEL1",
							"description": "Тип упаковки:\nUNIT (потребительская)\nLEVEL1 (групповая)\nLEVEL2 (транспортная - короб)\nLEVEL3 (транспортная - слой на\nпалете)\nLEVEL4 (транспортная - палета)\nLEVEL5 (транспортная - метро-юнит)",
							"disabled": true
						},
						{
							"key": "values",
							"value": "0100191028060272213PfB_Gr,ArqbT"
						},
						{
							"key": "values",
							"value": "01001910280602722137eVanT)hQLGK"
						}
					]
				}
			},
			"response": []
		},
		{
			"name": "/cises/listV2",
			"request": {
				"auth": {
					"type": "bearer",
					"bearer": [
						{
							"key": "token",
							"value": "{{token}}",
							"type": "string"
						}
					]
				},
				"method": "GET",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"url": {
					"raw": "{{host}}cises/listV2?cis=0100191028060272213PfB_Gr,ArqbT",
					"host": [
						"{{host}}cises"
					],
					"path": [
						"listV2"
					],
					"query": [
						{
							"key": "cis",
							"value": "0100191028060272213PfB_Gr,ArqbT"
						},
						{
							"key": "cisStatus",
							"value": "INTRODUCED",
							"description": "EMITTED – Эмитирован. Выпущен\nAPPLIED – Нанесен\nINTRODUCED – В обороте \nRETIRED – Выбыл",
							"disabled": true
						},
						{
							"key": "gtin",
							"value": "00191028060272",
							"disabled": true
						},
						{
							"key": "sn",
							"value": "",
							"disabled": true
						},
						{
							"key": "tnVed10",
							"value": "",
							"disabled": true
						},
						{
							"key": "emissionDateFrom",
							"value": "2021-04-28T00:00:00.000Z",
							"description": " yyyy-MM-ddTHH:mm:ss.SSS’Z",
							"disabled": true
						},
						{
							"key": "emissionDateTo",
							"value": "2021-04-30T23:59:00.000Z",
							"description": " yyyy-MM-ddTHH:mm:ss.SSS’Z",
							"disabled": true
						},
						{
							"key": "emissionType",
							"value": "",
							"description": "LOCAL – производство РК\nFOREIGN – ввезен в РК\nREMAINS – маркировка остатков\nCROSSBORDER – ввезен из стран ЕАЭС",
							"disabled": true
						},
						{
							"key": "cisPackageType",
							"value": "UNIT",
							"description": "ALL – товары и упаковки\nUNIT – только товары\nPACK – только упаковки\n",
							"disabled": true
						},
						{
							"key": "pg",
							"value": "shoes",
							"disabled": true
						},
						{
							"key": "order",
							"value": "DESC",
							"disabled": true
						},
						{
							"key": "producerInn",
							"value": "150540001660",
							"disabled": true
						},
						{
							"key": "owneriin",
							"value": "960202350172",
							"disabled": true
						},
						{
							"key": "limit",
							"value": "10000",
							"disabled": true
						},
						{
							"key": "pageDir",
							"value": "NEXT",
							"description": "PREV – Предыдущий раздел\nNEXT – Следующий раздел",
							"disabled": true
						},
						{
							"key": "pageDir",
							"value": "PREV",
							"disabled": true
						}
					]
				}
			},
			"response": []
		},
		{
			"name": "/cises/history",
			"request": {
				"auth": {
					"type": "bearer",
					"bearer": [
						{
							"key": "token",
							"value": "{{token}}",
							"type": "string"
						}
					]
				},
				"method": "GET",
				"header": [
					{
						"key": "Content-Type",
						"value": "application/json",
						"type": "text"
					}
				],
				"url": {
					"raw": "{{host}}cises/history?code=0100191028060272213PfB_Gr,ArqbT",
					"host": [
						"{{host}}cises"
					],
					"path": [
						"history"
					],
					"query": [
						{
							"key": "code",
							"value": "0100191028060272213PfB_Gr,ArqbT",
							"description": " Метод работает с КИ, КИГУ"
						}
					]
				}
			},
			"response": []
		}
	],
	"auth": {
		"type": "bearer",
		"bearer": [
			{
				"key": "token",
				"value": "{{token}}",
				"type": "string"
			}
		]
	},
	"event": [
		{
			"listen": "prerequest",
			"script": {
				"type": "text/javascript",
				"exec": [
					""
				]
			}
		},
		{
			"listen": "test",
			"script": {
				"type": "text/javascript",
				"exec": [
					""
				]
			}
		}
	]
}